<?php

namespace App;

use App\Traits\FilterModel;
use Illuminate\Database\Eloquent\Model;

class Novedad extends Model
{
    use FilterModel;

    protected $table = 'novedades';

    protected $fillable = [
        'titulo', 
        'copete',
        'imagen',
        'epigrafe', 
        'cuerpo', 
        'tipos_novedad_id', 
        'proveedor_id'
    ];

    protected $boolFilterFields = [];

    protected $likeFilterFields = [
        'titulo', 'copete', 'epigrafe', 'cuerpo'
    ];

    public function tipo_novedad()
    {
        return $this->belongsTo('App\TipoNovedad', 'tipos_novedad_id');
    }

    public function proveedor()
    {
        return $this->belongsTo('App\Proveedor');
    }
}
